- entityDefinitions:
  - IDI_Task_Relationship_View:    '{69898779-d918-4a34-8fd2-8782716bed57}'
  - IDI_Task_Relationship_Edit:    '{0ebf888a-fd7d-4c46-aec4-b6bac064df97}'
  - IDE_Relationship_View:        '{b03ed498-c20f-44dc-9986-c56aa2b23812}'
  - IDE_Relationship_Edit:        '{fc8b3bec-f827-458d-b140-b80c9f63eef1}'
  - IDE_Relationship_Definition:  '{01f3b1f0-4147-4dba-ad97-09b4a63fba8b}'
  - IDI_TaskCategory_Relationship: '{75ce4de5-3b2f-4d74-914c-00279ffa7514}'

- library: '&IDL_MochaBaseSystem;'
  instances:
  - taskCategory: '&IDI_TaskCategory_Relationship;'
    name: 'Relationship'

  - sequenceTask: '&IDI_Task_Relationship_View;'
    name: 'View Relationship'
    initiatingElement: '&IDE_Relationship_View;'
    taskCategory: '&IDI_TaskCategory_Relationship;'

  - sequenceTask: '&IDI_Task_Relationship_Edit;'
    name: 'Edit Relationship'
    initiatingElement: '&IDE_Relationship_Edit;'
    taskCategory: '&IDI_TaskCategory_Relationship;'

  - element: '&IDE_Relationship_View;'
    name: 'View Relationship'
    elementContents:
    - globalIdentifier: '{0bd03208-3ca3-4757-ac40-e35e8a9b14b5}'
      defaultDataType: '&IDC_Relationship;'
      label: 'Relationship'
      displayOptions:
      - instance: '&IDI_DisplayOption_NotEnterable;'
      - instance: '&IDI_DisplayOption_DoNotShow;'
    - globalIdentifier: '{b1da490a-e85c-4f66-a89d-070a994bdb75}'
      defaultDataType: '&IDE_Relationship_Definition;'
      displayOptions:
      - instance: '&IDI_DisplayOption_NotEnterable;'
      - instance: '&IDI_DisplayOption_Singular;'
      - instance: '&IDI_DisplayOption_ShowSubelementsVertically;'

  - element: '&IDE_Relationship_Edit;'
    name: 'Edit Relationship'
    elementContents:
    - globalIdentifier: '{c51f5035-be2b-41b5-8e81-44aa63c88771}'
      defaultDataType: '&IDC_Relationship;'
      label: 'Relationship'
      displayOptions:
      - instance: '&IDI_DisplayOption_NotEnterable;'
      - instance: '&IDI_DisplayOption_DoNotShow;'
    - globalIdentifier: '{267d02e4-0d0b-431e-adf5-711f54643bc5}'
      defaultDataType: '&IDE_Relationship_Definition;'
      displayOptions:
      - instance: '&IDI_DisplayOption_Singular;'
      - instance: '&IDI_DisplayOption_ShowSubelementsVertically;'

  - element: '&IDE_Relationship_Definition;'
    name: 'Relationship subedits'
    elementContents:
    - globalIdentifier: '{aa862c98-fece-4cc3-a494-2904b20e69c9}'
      defaultDataType: '&IDR_Relationship__has_source__Class;'
      label: 'Source Class'
    - globalIdentifier: '{81490f71-418d-478e-8d4d-02223c344003}'
      defaultDataType: '&IDA_RelationshipType;'
    - globalIdentifier: '{10c99202-8661-4739-8bfd-316228a1f47d}'
      defaultDataType: '&IDR_Relationship__has_destination__Class;'
      label: 'Destination Class'
    # - globalIdentifier: '{4bc7ee05-32e2-44b8-b01f-7caf3031974f}'
    #   defaultDataType: '&IDR_Relationship__has_sibling__Relationship;'
    #   label: 'Sibling Relationship'
    - globalIdentifier: '{5808a175-2451-4549-865a-281dae0951b8}'
      defaultDataType: '&IDA_Singular;'
      label: 'Singular'